![AngularDart](https://raw.githubusercontent.com/dart-lang/logos/master/logos_and_wordmarks/angulardart-logo.png)

[AngularDart][angular_dart] is a productive web application framework that
powers some of Google's most critical applications.

<!-- Badges -->

[![Pub Package](https://img.shields.io/pub/v/angular.svg)](https://pub.dartlang.org/packages/angular)
[![Build Status](https://travis-ci.org/dart-lang/angular.svg?branch=master)](https://travis-ci.org/dart-lang/angular)
[![Gitter](https://img.shields.io/gitter/room/dart-lang/angular.svg)](https://gitter.im/dart-lang/angular)

It's built on [Dart][dart_web] and is used extensively by Google
[AdWords][ad_words], [AdSense][ad_sense], [Fiber][fiber], and much much more!

[![Built with AngularDart](https://2.bp.blogspot.com/-T50YZP5hlW4/Vv07k1PPVmI/AAAAAAAAM_Q/kVo8eImMOFUWLYqXg_xGzaWPvvlO7lhng/s0/adwords-dart.png)][ad_words]

## Overview

 * [Pub package][pub]
 * [Source code](https://github.com/dart-lang/angular)
 * [Issues](https://github.com/dart-lang/angular/issues)
 * [Mailing List](https://groups.google.com/a/dartlang.org/forum/#!forum/web)
 * [Documentation][angular_dart]
 * [Contributor guidelines][contribute]
 * [Logo](https://raw.githubusercontent.com/dart-lang/logos/master/logos_and_wordmarks/angulardart-logo.svg)

[ad_sense]: http://news.dartlang.org/2016/10/google-adsense-angular-dart.html
[ad_words]: http://news.dartlang.org/2016/03/the-new-adwords-ui-uses-dart-we-asked.html
[fiber]: http://news.dartlang.org/2015/11/how-google-uses-angular-2-with-dart.html
[angular_dart]: https://webdev.dartlang.org/angular
[dart_web]: https://webdev.dartlang.org/
[pub]: https://pub.dartlang.org/packages/angular
[contribute]: https://github.com/dart-lang/angular/blob/master/CONTRIBUTING.md

## Examples

Is this your first time using AngularDart?

* Start with a [tutorial][tutorial] to build a fully working application,
  including routing, HTTP networking, and more.

* Next, try a [code-lab on writing material design applications][code_lab],
  which uses the [`angular_components`](https://webdev.dartlang.org/components)
  package for production-quality material design widgets built and used by
  Google.

You may also be interested in a set of [community contributed tutorials][comm].

[tutorial]: https://webdev.dartlang.org/angular/tutorial
[code_lab]: https://codelabs.developers.google.com/codelabs/your-first-angulardart-web-app/
[comm]: https://dart.academy/tag/angular2/

## Installation

AngularDart is available as the `angular` package on [pub][]. We recommend
following our [tutorial][] to get started.

> For historic reasons, this package was once called `angular2`. We have sinced
> dropped the 2, and are now just `angular`. If you are looking for either
> version 2.x or 3.x, please see the `angular2` package.
